\foreach \name in {c0,c1,c2,c3,v}{
    \begin{figure}[H]
        \tikzset{every picture/.style={line width=0.75pt}}
        \begin{tikzpicture}[x=0.75pt,y=0.75pt,yscale=-1.5,xscale=1.5]
                
            \draw [draw opacity=0] (80,60) -- (160,60) -- (160,140) -- (80,140) -- cycle; 
            \draw (80,60) -- (80,140)(100,60) -- (100,140)(120,60) -- (120,140)(140,60) -- (140,140); 
            \draw (80,60) -- (160,60)(80,80) -- (160,80)(80,100) -- (160,100)(80,120) -- (160,120); 
            
            \draw [line width=0.75] (57,36) -- (80,60);

            \draw [draw opacity=0] (210,60) -- (290,60) -- (290,140) -- (210,140) -- cycle; 
            \draw (210,60) -- (210,140)(230,60) -- (230,140)(250,60) -- (250,140)(270,60) -- (270,140); 
            \draw (210,60) -- (290,60)(210,80) -- (290,80)(210,100) -- (290,100)(210,120) -- (290,120); 

            \draw [line width=0.75] (187,36) -- (210,60);

            \draw [draw opacity=0] (80,190) -- (160,190) -- (160,270) -- (80,270) -- cycle; 
            \draw (80,190) -- (80,270)(100,190) -- (100,270)(120,190) -- (120,270)(140,190) -- (140,270); 
            \draw (80,190) -- (160,190)(80,210) -- (160,210)(80,230) -- (160,230)(80,250) -- (160,250); 

            \draw [line width=0.75] (57,166) -- (80,190);
            
            \draw [draw opacity=0] (210,190) -- (290,190) -- (290,270) -- (210,270) -- cycle; 
            \draw (210,190) -- (210,270)(230,190) -- (230,270)(250,190) -- (250,270)(270,190) -- (270,270); 
            \draw (210,190) -- (290,190)(210,210) -- (290,210)(210,230) -- (290,230)(210,250) -- (290,250); 
            
            \draw [line width=0.75] (187,166) -- (210,190);
            
            \draw (160,60) -- (160,140) -- (80,140);
            \draw (290,60) -- (290,140) -- (210,140);
            \draw (160,190) -- (160,270) -- (80,270);
            \draw (290,190) -- (290,270) -- (210,270);
            
            \draw (120,150) node [align=left] {$\displaystyle a_{1} a_{2} = 00$};
            \draw (250,150) node [align=left] {$\displaystyle a_{1} a_{2} = 01$};
            \draw (120,280) node [align=left] {$\displaystyle a_{1} a_{2} = 10$};
            \draw (250,280) node [align=left] {$\displaystyle a_{1} a_{2} = 11$};

            \draw (54,49) node [align=left] {$\displaystyle a_{3} b_{1}$};
            \draw (76,37) node [align=left] {$\displaystyle b_{2} b_{3}$};

            \draw (184,49) node [align=left] {$\displaystyle a_{3} b_{1}$};
            \draw (206,37) node [align=left] {$\displaystyle b_{2} b_{3}$};
            
            \draw (54,179) node [align=left] {$\displaystyle a_{3} b_{1}$};
            \draw (76,167) node [align=left] {$\displaystyle b_{2} b_{3}$};
            
            \draw (184,179) node [align=left] {$\displaystyle a_{3} b_{1}$};
            \draw (206,167) node [align=left] {$\displaystyle b_{2} b_{3}$};

            \draw (70,70) node [align=left] {00};
            \draw (70,90) node [align=left] {01};
            \draw (70,110) node [align=left] {11};
            \draw (70,130) node [align=left] {10};

            \draw (90,52) node [align=left] {00};
            \draw (110,52) node [align=left] {01};
            \draw (130,52) node [align=left] {11};
            \draw (150,52) node [align=left] {10};
            
            \draw (200,70) node [align=left] {00};
            \draw (200,90) node [align=left] {01};
            \draw (200,110) node [align=left] {11};
            \draw (200,130) node [align=left] {10};

            \draw (220,52) node [align=left] {00};
            \draw (240,52) node [align=left] {01};
            \draw (260,52) node [align=left] {11};
            \draw (280,52) node [align=left] {10};
            
            \draw (220,182) node [align=left] {00};
            \draw (240,182) node [align=left] {01};
            \draw (260,182) node [align=left] {11};
            \draw (280,182) node [align=left] {10};
            
            \draw (200,200) node [align=left] {00};
            \draw (200,220) node [align=left] {01};
            \draw (200,240) node [align=left] {11};
            \draw (200,260) node [align=left] {10};
            
            \draw (90,182) node [align=left] {00};
            \draw (110,182) node [align=left] {01};
            \draw (130,182) node [align=left] {11};
            \draw (150,182) node [align=left] {10};
            
            \draw (70,200) node [align=left] {00};
            \draw (70,220) node [align=left] {01};
            \draw (70,240) node [align=left] {11};
            \draw (70,260) node [align=left] {10};
            \input{include/tables/implicent/\name.tex}
        \end{tikzpicture}
    \end{figure}
}

МКНФ:

\begin{equation*}
    \begin{cases}
        \begin{aligned}[l]
        C_0 &=(a_2 \vee a_3 \vee b_1)(a_1 \vee a_2 \vee a_3)(a_1 \vee b_1)(a_2 \vee b_1 \vee b_2)(a_1 \vee b_2 \vee b_3)(b_1 \vee b_2 \vee b_3) \\
            & (\overline{a}_2 \vee a_3 \vee b_2)(a_2 \vee a_3 \vee \overline{b}_2)(a_2 \vee \overline{b}_2 \vee b_3)(\overline{a}_2 \vee \overline{a}_3 \vee \overline{b}_2 \vee \overline{b}_3)(\overline{a}_1 \vee \overline{b}_1 \vee \overline{b}_2) \\
            & (\overline{a}_1 \vee \overline{a}_2 \vee \overline{a}_3 \vee \overline{b}_1)(a_2 \vee \overline{a}_3 \vee b_2 \vee \overline{b}_3) & S_Q^{C_0} &= 54 \\
        C_1 &=(a_1 \vee a_3 \vee b_1 \vee b_2)(a_1 \vee a_2 \vee a_3 \vee b_1)(a_1 \vee a_2 \vee b_1 \vee b_3)(a_1 \vee b_1 \vee b_2 \vee b_3) \\ 
            & (a_1 \vee \overline{a}_3 \vee \overline{b}_1 \vee \overline{b}_2 \vee \overline{b}_3)(a_1 \vee \overline{a}_2 \vee \overline{b}_1 \vee \overline{b}_2)(a_1 \vee \overline{a}_2 \vee \overline{a}_3 \vee \overline{b}_1 \vee \overline{b}_3)(\overline{a}_1 \vee a_3 \vee \overline{b}_1)\\ 
            & (\overline{a}_1 \vee \overline{b}_1 \vee b_2)(\overline{a}_1 \vee \overline{b}_1 \vee b_3)(\overline{a}_1 \vee a_2 \vee \overline{a}_3 \vee \overline{b}_2 \vee \overline{b}_3)(\overline{a}_1 \vee \overline{a}_2 \vee b_1 \vee \overline{b}_2)\\ 
            & (\overline{a}_1 \vee \overline{a}_2 \vee \overline{a}_3 \vee b_1 \vee \overline{b}_3)(a_1 \vee a_2 \vee \overline{a}_3 \vee b_1 \vee b_2) & S_Q^{C_1} &= 72\\
        C_2 &=(a_2 \vee a_3 \vee b_2)(a_2 \vee b_2 \vee b_3)(a_1 \vee a_2 \vee \overline{a}_3 \vee \overline{b}_2 \vee \overline{b}_3)(a_1 \vee \overline{a}_2 \vee a_3 \vee \overline{b}_2)\\
            & (a_1 \vee \overline{a}_2 \vee \overline{a}_3 \vee b_2 \vee \overline{b}_3)(\overline{a}_2 \vee \overline{a}_3 \vee \overline{b}_1 \vee \overline{b}_2 \vee \overline{b}_3)(\overline{a}_1 \vee a_2 \vee a_3 \vee \overline{b}_1) (\overline{a}_1 \vee a_2 \vee \overline{b}_1 \vee b_2) \\
            & (\overline{a}_1 \vee a_3 \vee \overline{b}_1 \vee b_2)(\overline{a}_1 \vee a_2 \vee \overline{b}_1 \vee b_3)(\overline{a}_1 \vee \overline{b}_1 \vee b_2 \vee b_3)(\overline{a}_1 \vee \overline{a}_3 \vee b_1 \vee \overline{b}_2 \vee \overline{b}_3) \\
            & (\overline{a}_1 \vee \overline{a}_2 \vee b_1 \vee \overline{b}_2)(\overline{a}_1 \vee \overline{a}_2 \vee \overline{a}_3 \vee b_1 \vee \overline{b}_3)(a_1 \vee \overline{a}_2 \vee \overline{b}_2 \vee b_3)  & S_Q^{C_2} &= 78 \\
        C_3 &=(a_3 \vee b_3)(\overline{a}_3 \vee \overline{b}_3) & S_Q^{C_3} &=6 \\
        V   &=(a_3 \vee b_1)(a_1 \vee a_3)(a_1 \vee a_2)(a_1 \vee b_1)(a_2 \vee b_1)(a_2 \vee a_3 \vee b_2)(a_1 \vee b_2)(b_1 \vee b_2)\\
            & (a_1 \vee b_3)(b_1 \vee b_3)(a_2 \vee b_2 \vee b_3) & S_Q^{V} &=35
        \end{aligned}
    \end{cases}
\end{equation*}
$S_Q^f = 245$

%(X₁ V X₂ V X₃) & (X₀ V X₁ V X₂) & (X₀ V X₃) & (X₁ V X₃ V X₄) & (X₀ V X₄ V X₅) & (X₃ V X₄ V X₅) & (̅X₁ V X₂ V X₄) & (X₁ V X₂ V ̅X₄) & (X₁ V ̅X₄ V X₅) & (̅X₁ V ̅X₂ V ̅X₄ V ̅X₅) & (̅X₀ V ̅X₃ V ̅X₄) & (̅X₀ V ̅X₁ V ̅X₂ V ̅X₃) & (X₁ V ̅X₂ V X₄ V ̅X₅)
%(X₀ V X₂ V X₃ V X₄) & (X₀ V X₁ V X₂ V X₃) & (X₀ V X₁ V X₃ V X₅) & (X₀ V X₃ V X₄ V X₅) & (X₀ V ̅X₂ V ̅X₃ V ̅X₄ V ̅X₅) & (X₀ V ̅X₁ V ̅X₃ V ̅X₄) & (X₀ V ̅X₁ V ̅X₂ V ̅X₃ V ̅X₅) & (̅X₀ V X₂ V ̅X₃) & (̅X₀ V ̅X₃ V X₄) & (̅X₀ V ̅X₃ V X₅) & (̅X₀ V X₁ V ̅X₂ V ̅X₄ V ̅X₅) & (̅X₀ V ̅X₁ V X₃ V ̅X₄) & (̅X₀ V ̅X₁ V ̅X₂ V X₃ V ̅X₅) & (X₀ V X₁ V ̅X₂ V X₃ V X₄)
%(X₁ V X₂ V X₄) & (X₁ V X₄ V X₅) & (X₀ V X₁ V ̅X₂ V ̅X₄ V ̅X₅) & (X₀ V ̅X₁ V X₂ V ̅X₄) & (X₀ V ̅X₁ V ̅X₄ V X₅) & (X₀ V ̅X₁ V ̅X₂ V X₄ V ̅X₅) & (̅X₁ V ̅X₂ V ̅X₃ V ̅X₄ V ̅X₅) & (̅X₀ V X₁ V X₂ V ̅X₃) & (̅X₀ V X₁ V ̅X₃ V X₄) & (̅X₀ V X₂ V ̅X₃ V X₄) & (̅X₀ V X₁ V ̅X₃ V X₅) & (̅X₀ V ̅X₃ V X₄ V X₅) & (̅X₀ V ̅X₂ V X₃ V ̅X₄ V ̅X₅) & (̅X₀ V ̅X₁ V X₃ V ̅X₄) & (̅X₀ V ̅X₁ V ̅X₂ V X₃ V ̅X₅)
%(X₂ V X₅) & (̅X₂ V ̅X₅)
%(X₂ V X₃) & (X₀ V X₂) & (X₀ V X₁) & (X₀ V X₃) & (X₁ V X₃) & (X₁ V X₂ V X₄) & (X₀ V X₄) & (X₃ V X₄) & (X₀ V X₅) & (X₃ V X₅) & (X₁ V X₄ V X₅)
